# RSL_get_first_ray_of_...

### Synopsis

#include "rsl.h"
Ray *RSL_get_first_ray_of_sweep(Sweep *s);
Ray *RSL_get_first_ray_of_volume(Volume *v);

###

Description

RSL_get_first_ray_of_sweep returns a pointer to the first ray pointer in the Sweep structure *s, if one exist. Otherwise NULL is returned. Similiarly, for RSL_get_first_ray_of_volume; it finds the first sweep and returns the first ray of that sweep.

### Return value

Upon successful completion, a pointer to the Ray structure is returned. Otherwise, a NULL pointer is returned.

### See also

RSL_get_first_sweep_of_volume

Author: John H. Merritt